<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionGeneralSettings Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d89/a06862.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionGeneralSettings Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>General settings class.  
 <a href="../../d7/d89/a06862.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionGeneralSettings:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d7/d89/a06862.png" usemap="#ExpansionGeneralSettings_map" alt=""/>
  <map id="ExpansionGeneralSettings_map" name="ExpansionGeneralSettings_map">
<area href="../../dc/d50/a04474.html" alt="ExpansionSettingBase" shape="rect" coords="0,0,159,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:abaeb0349825e5a1c7aedb260a1bed60b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#abaeb0349825e5a1c7aedb260a1bed60b">ExpansionGeneralSettings</a> ()</td></tr>
<tr class="separator:abaeb0349825e5a1c7aedb260a1bed60b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa79041768dec6121c39e21a333276b71"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#aa79041768dec6121c39e21a333276b71">~ExpansionGeneralSettings</a> ()</td></tr>
<tr class="separator:aa79041768dec6121c39e21a333276b71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72659690d7cf7bb37048772611d73761"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a72659690d7cf7bb37048772611d73761">OnRecieve</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:a72659690d7cf7bb37048772611d73761"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1490fce4c18f38b36031a24b328a48f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#ad1490fce4c18f38b36031a24b328a48f">OnSend</a> (ParamsWriteContext ctx)</td></tr>
<tr class="separator:ad1490fce4c18f38b36031a24b328a48f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90910f36c45fbaea8575697563250244"><td class="memItemLeft" align="right" valign="top">override int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a90910f36c45fbaea8575697563250244">Send</a> (PlayerIdentity identity)</td></tr>
<tr class="separator:a90910f36c45fbaea8575697563250244"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a476ed67bb47f69092b24cec48d1865c7"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a476ed67bb47f69092b24cec48d1865c7">Copy</a> (<a class="el" href="../../dc/d50/a04474.html">ExpansionSettingBase</a> setting)</td></tr>
<tr class="separator:a476ed67bb47f69092b24cec48d1865c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e2dea2be7ddfb90107ebe7c62e8b59a"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a2e2dea2be7ddfb90107ebe7c62e8b59a">CopyInternal</a> (<a class="el" href="../../d7/d89/a06862.html">ExpansionGeneralSettings</a> s)</td></tr>
<tr class="separator:a2e2dea2be7ddfb90107ebe7c62e8b59a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6443b402617b1786e52aa0bf9bb6d139"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a6443b402617b1786e52aa0bf9bb6d139">IsLoaded</a> ()</td></tr>
<tr class="separator:a6443b402617b1786e52aa0bf9bb6d139"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e5476feb3eccb0b7ebf880de46fd1a8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a8e5476feb3eccb0b7ebf880de46fd1a8">Unload</a> ()</td></tr>
<tr class="separator:a8e5476feb3eccb0b7ebf880de46fd1a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ca087dba0edbbfd813761dbb508ca22"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a1ca087dba0edbbfd813761dbb508ca22">OnLoad</a> ()</td></tr>
<tr class="separator:a1ca087dba0edbbfd813761dbb508ca22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c8518ab3da6343bac2d8a201f5104ea"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a8c8518ab3da6343bac2d8a201f5104ea">OnSave</a> ()</td></tr>
<tr class="separator:a8c8518ab3da6343bac2d8a201f5104ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add85e18e5f03d3135da2fa285ab80b10"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#add85e18e5f03d3135da2fa285ab80b10">Update</a> (<a class="el" href="../../dc/d50/a04474.html">ExpansionSettingBase</a> setting)</td></tr>
<tr class="separator:add85e18e5f03d3135da2fa285ab80b10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afeefd9f3a0665d4cf6ff709fe4e6ddc9"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#afeefd9f3a0665d4cf6ff709fe4e6ddc9">Defaults</a> ()</td></tr>
<tr class="separator:afeefd9f3a0665d4cf6ff709fe4e6ddc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ba6d7519aa6b3526e2d9a8926cc9dc8"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a0ba6d7519aa6b3526e2d9a8926cc9dc8">SettingName</a> ()</td></tr>
<tr class="separator:a0ba6d7519aa6b3526e2d9a8926cc9dc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a519ad63ab3999ae9cc5765f4899b8fb9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a519ad63ab3999ae9cc5765f4899b8fb9">DisableShootToUnlock</a></td></tr>
<tr class="separator:a519ad63ab3999ae9cc5765f4899b8fb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a21dd34db5c4cfd7d76160bed769f3c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a9a21dd34db5c4cfd7d76160bed769f3c">EnableGravecross</a></td></tr>
<tr class="separator:a9a21dd34db5c4cfd7d76160bed769f3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afef6d961fd2eea7517c6ba539bc17e80"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#afef6d961fd2eea7517c6ba539bc17e80">GravecrossDeleteBody</a></td></tr>
<tr class="separator:afef6d961fd2eea7517c6ba539bc17e80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdfb8f8e27188886adadb49fb893f282"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#abdfb8f8e27188886adadb49fb893f282">GravecrossTimeThreshold</a></td></tr>
<tr class="separator:abdfb8f8e27188886adadb49fb893f282"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99307f2b4199176ce4a8f0a5fa6d985d"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d9/d00/a06870.html">ExpansionMapping</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a99307f2b4199176ce4a8f0a5fa6d985d">Mapping</a></td></tr>
<tr class="separator:a99307f2b4199176ce4a8f0a5fa6d985d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e08b34996c31e1655be4b812e1887ad"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/d2d/a02408.html#a7a33e66313c9659fc7c9f767a574c59f">LampModeEnum</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a5e08b34996c31e1655be4b812e1887ad">EnableLamps</a></td></tr>
<tr class="separator:a5e08b34996c31e1655be4b812e1887ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39a8978fcd164a6a1668c28d791ca2ac"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a39a8978fcd164a6a1668c28d791ca2ac">EnableGenerators</a></td></tr>
<tr class="memdesc:a39a8978fcd164a6a1668c28d791ca2ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">0 - Disable Street-Lights | 1 - Will use and spawn Generators for Street-Lights | 2 - Street-Lights always on  <a href="../../d7/d89/a06862.html#a39a8978fcd164a6a1668c28d791ca2ac">More...</a><br /></td></tr>
<tr class="separator:a39a8978fcd164a6a1668c28d791ca2ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e14bafd7578b44e0f070e4763f67d84"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a7e14bafd7578b44e0f070e4763f67d84">EnableLighthouses</a></td></tr>
<tr class="separator:a7e14bafd7578b44e0f070e4763f67d84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf9d4de6efe1ab5ddfccb4fd56fb5ea6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#aaf9d4de6efe1ab5ddfccb4fd56fb5ea6">EnableHUDNightvisionOverlay</a></td></tr>
<tr class="separator:aaf9d4de6efe1ab5ddfccb4fd56fb5ea6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeb5d8f5ce6791a66892483a409d3a80"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#abeb5d8f5ce6791a66892483a409d3a80">DisableMagicCrosshair</a></td></tr>
<tr class="separator:abeb5d8f5ce6791a66892483a409d3a80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a816e02911d7429530fbde1f973cbbb23"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a816e02911d7429530fbde1f973cbbb23">EnableAutoRun</a></td></tr>
<tr class="separator:a816e02911d7429530fbde1f973cbbb23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53006d60c57e747e74736a6d400f84a4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a53006d60c57e747e74736a6d400f84a4">UnlimitedStamina</a></td></tr>
<tr class="separator:a53006d60c57e747e74736a6d400f84a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13c747fed95618248b0fe70c2b16b12e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a13c747fed95618248b0fe70c2b16b12e">UseDeathScreen</a></td></tr>
<tr class="separator:a13c747fed95618248b0fe70c2b16b12e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67c6d5d4b4e412b2030a340cff35ea19"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a67c6d5d4b4e412b2030a340cff35ea19">UseDeathScreenStatistics</a></td></tr>
<tr class="separator:a67c6d5d4b4e412b2030a340cff35ea19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe35707d005e6e872f595692b7f44875"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#abe35707d005e6e872f595692b7f44875">UseNewsFeedInGameMenu</a></td></tr>
<tr class="separator:abe35707d005e6e872f595692b7f44875"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8768ad28ce45e9a3a99bafae0e98074"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d9/d03/a06866.html">ExpansionHudIndicatorColors</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#ab8768ad28ce45e9a3a99bafae0e98074">HUDColors</a></td></tr>
<tr class="separator:ab8768ad28ce45e9a3a99bafae0e98074"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb380920ef220e0ed54b025f0a993779"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#aeb380920ef220e0ed54b025f0a993779">EnableEarPlugs</a></td></tr>
<tr class="separator:aeb380920ef220e0ed54b025f0a993779"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3439d2c250eb291c9b54b313b1545f9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#ac3439d2c250eb291c9b54b313b1545f9">InGameMenuLogoPath</a></td></tr>
<tr class="separator:ac3439d2c250eb291c9b54b313b1545f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5165d146af58982e711af422f26161f8"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a5165d146af58982e711af422f26161f8">m_IsLoaded</a></td></tr>
<tr class="separator:a5165d146af58982e711af422f26161f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a8d194957651e640d143cfeb92edc8cff"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/a06862.html#a8d194957651e640d143cfeb92edc8cff">VERSION</a> = 9</td></tr>
<tr class="separator:a8d194957651e640d143cfeb92edc8cff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >General settings class. </p>
<p ><a class="el" href="../../d8/df6/a02411.html">ExpansionGeneralSettings.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00016">16</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="abaeb0349825e5a1c7aedb260a1bed60b" name="abaeb0349825e5a1c7aedb260a1bed60b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abaeb0349825e5a1c7aedb260a1bed60b">&#9670;&#160;</a></span>ExpansionGeneralSettings()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionGeneralSettings::ExpansionGeneralSettings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00045">45</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="aa79041768dec6121c39e21a333276b71" name="aa79041768dec6121c39e21a333276b71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa79041768dec6121c39e21a333276b71">&#9670;&#160;</a></span>~ExpansionGeneralSettings()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionGeneralSettings::~ExpansionGeneralSettings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00052">52</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a476ed67bb47f69092b24cec48d1865c7" name="a476ed67bb47f69092b24cec48d1865c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a476ed67bb47f69092b24cec48d1865c7">&#9670;&#160;</a></span>Copy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionGeneralSettings::Copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d50/a04474.html">ExpansionSettingBase</a>&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00171">171</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a2e2dea2be7ddfb90107ebe7c62e8b59a" name="a2e2dea2be7ddfb90107ebe7c62e8b59a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e2dea2be7ddfb90107ebe7c62e8b59a">&#9670;&#160;</a></span>CopyInternal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionGeneralSettings::CopyInternal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/d89/a06862.html">ExpansionGeneralSettings</a>&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00187">187</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="afeefd9f3a0665d4cf6ff709fe4e6ddc9" name="afeefd9f3a0665d4cf6ff709fe4e6ddc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afeefd9f3a0665d4cf6ff709fe4e6ddc9">&#9670;&#160;</a></span>Defaults()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionGeneralSettings::Defaults </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00331">331</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a6443b402617b1786e52aa0bf9bb6d139" name="a6443b402617b1786e52aa0bf9bb6d139"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6443b402617b1786e52aa0bf9bb6d139">&#9670;&#160;</a></span>IsLoaded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionGeneralSettings::IsLoaded </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00214">214</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a1ca087dba0edbbfd813761dbb508ca22" name="a1ca087dba0edbbfd813761dbb508ca22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ca087dba0edbbfd813761dbb508ca22">&#9670;&#160;</a></span>OnLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionGeneralSettings::OnLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Remove buildings without custom interiors from existing settings</p>

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00226">226</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a72659690d7cf7bb37048772611d73761" name="a72659690d7cf7bb37048772611d73761"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72659690d7cf7bb37048772611d73761">&#9670;&#160;</a></span>OnRecieve()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionGeneralSettings::OnRecieve </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00058">58</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a8c8518ab3da6343bac2d8a201f5104ea" name="a8c8518ab3da6343bac2d8a201f5104ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c8518ab3da6343bac2d8a201f5104ea">&#9670;&#160;</a></span>OnSave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionGeneralSettings::OnSave </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00313">313</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="ad1490fce4c18f38b36031a24b328a48f" name="ad1490fce4c18f38b36031a24b328a48f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1490fce4c18f38b36031a24b328a48f">&#9670;&#160;</a></span>OnSend()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionGeneralSettings::OnSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Do not send mapping, but do send interiors if enabled as interiors w/o collision are created only clientside</p>
<p >Ivys are created only clientside</p>

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00108">108</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a90910f36c45fbaea8575697563250244" name="a90910f36c45fbaea8575697563250244"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90910f36c45fbaea8575697563250244">&#9670;&#160;</a></span>Send()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override int ExpansionGeneralSettings::Send </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>identity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00152">152</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a0ba6d7519aa6b3526e2d9a8926cc9dc8" name="a0ba6d7519aa6b3526e2d9a8926cc9dc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ba6d7519aa6b3526e2d9a8926cc9dc8">&#9670;&#160;</a></span>SettingName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionGeneralSettings::SettingName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00365">365</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a8e5476feb3eccb0b7ebf880de46fd1a8" name="a8e5476feb3eccb0b7ebf880de46fd1a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e5476feb3eccb0b7ebf880de46fd1a8">&#9670;&#160;</a></span>Unload()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionGeneralSettings::Unload </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00220">220</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="add85e18e5f03d3135da2fa285ab80b10" name="add85e18e5f03d3135da2fa285ab80b10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add85e18e5f03d3135da2fa285ab80b10">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionGeneralSettings::Update </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d50/a04474.html">ExpansionSettingBase</a>&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00323">323</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="abeb5d8f5ce6791a66892483a409d3a80" name="abeb5d8f5ce6791a66892483a409d3a80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abeb5d8f5ce6791a66892483a409d3a80">&#9670;&#160;</a></span>DisableMagicCrosshair</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionGeneralSettings::DisableMagicCrosshair</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00029">29</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a519ad63ab3999ae9cc5765f4899b8fb9" name="a519ad63ab3999ae9cc5765f4899b8fb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a519ad63ab3999ae9cc5765f4899b8fb9">&#9670;&#160;</a></span>DisableShootToUnlock</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionGeneralSettings::DisableShootToUnlock</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00020">20</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a816e02911d7429530fbde1f973cbbb23" name="a816e02911d7429530fbde1f973cbbb23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a816e02911d7429530fbde1f973cbbb23">&#9670;&#160;</a></span>EnableAutoRun</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionGeneralSettings::EnableAutoRun</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00030">30</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="aeb380920ef220e0ed54b025f0a993779" name="aeb380920ef220e0ed54b025f0a993779"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb380920ef220e0ed54b025f0a993779">&#9670;&#160;</a></span>EnableEarPlugs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionGeneralSettings::EnableEarPlugs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00038">38</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a39a8978fcd164a6a1668c28d791ca2ac" name="a39a8978fcd164a6a1668c28d791ca2ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39a8978fcd164a6a1668c28d791ca2ac">&#9670;&#160;</a></span>EnableGenerators</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionGeneralSettings::EnableGenerators</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>0 - Disable Street-Lights | 1 - Will use and spawn Generators for Street-Lights | 2 - Street-Lights always on </p>

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00026">26</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a9a21dd34db5c4cfd7d76160bed769f3c" name="a9a21dd34db5c4cfd7d76160bed769f3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a21dd34db5c4cfd7d76160bed769f3c">&#9670;&#160;</a></span>EnableGravecross</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionGeneralSettings::EnableGravecross</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00021">21</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="aaf9d4de6efe1ab5ddfccb4fd56fb5ea6" name="aaf9d4de6efe1ab5ddfccb4fd56fb5ea6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf9d4de6efe1ab5ddfccb4fd56fb5ea6">&#9670;&#160;</a></span>EnableHUDNightvisionOverlay</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionGeneralSettings::EnableHUDNightvisionOverlay</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00028">28</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a5e08b34996c31e1655be4b812e1887ad" name="a5e08b34996c31e1655be4b812e1887ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e08b34996c31e1655be4b812e1887ad">&#9670;&#160;</a></span>EnableLamps</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/d2d/a02408.html#a7a33e66313c9659fc7c9f767a574c59f">LampModeEnum</a> ExpansionGeneralSettings::EnableLamps</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00025">25</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a7e14bafd7578b44e0f070e4763f67d84" name="a7e14bafd7578b44e0f070e4763f67d84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e14bafd7578b44e0f070e4763f67d84">&#9670;&#160;</a></span>EnableLighthouses</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionGeneralSettings::EnableLighthouses</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00027">27</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="afef6d961fd2eea7517c6ba539bc17e80" name="afef6d961fd2eea7517c6ba539bc17e80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afef6d961fd2eea7517c6ba539bc17e80">&#9670;&#160;</a></span>GravecrossDeleteBody</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionGeneralSettings::GravecrossDeleteBody</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00022">22</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="abdfb8f8e27188886adadb49fb893f282" name="abdfb8f8e27188886adadb49fb893f282"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdfb8f8e27188886adadb49fb893f282">&#9670;&#160;</a></span>GravecrossTimeThreshold</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionGeneralSettings::GravecrossTimeThreshold</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00023">23</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="ab8768ad28ce45e9a3a99bafae0e98074" name="ab8768ad28ce45e9a3a99bafae0e98074"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8768ad28ce45e9a3a99bafae0e98074">&#9670;&#160;</a></span>HUDColors</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d9/d03/a06866.html">ExpansionHudIndicatorColors</a> ExpansionGeneralSettings::HUDColors</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00036">36</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="ac3439d2c250eb291c9b54b313b1545f9" name="ac3439d2c250eb291c9b54b313b1545f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3439d2c250eb291c9b54b313b1545f9">&#9670;&#160;</a></span>InGameMenuLogoPath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionGeneralSettings::InGameMenuLogoPath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00039">39</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a5165d146af58982e711af422f26161f8" name="a5165d146af58982e711af422f26161f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5165d146af58982e711af422f26161f8">&#9670;&#160;</a></span>m_IsLoaded</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool ExpansionGeneralSettings::m_IsLoaded</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00042">42</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a99307f2b4199176ce4a8f0a5fa6d985d" name="a99307f2b4199176ce4a8f0a5fa6d985d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99307f2b4199176ce4a8f0a5fa6d985d">&#9670;&#160;</a></span>Mapping</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d9/d00/a06870.html">ExpansionMapping</a> ExpansionGeneralSettings::Mapping</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00024">24</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a53006d60c57e747e74736a6d400f84a4" name="a53006d60c57e747e74736a6d400f84a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53006d60c57e747e74736a6d400f84a4">&#9670;&#160;</a></span>UnlimitedStamina</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionGeneralSettings::UnlimitedStamina</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00031">31</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a13c747fed95618248b0fe70c2b16b12e" name="a13c747fed95618248b0fe70c2b16b12e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13c747fed95618248b0fe70c2b16b12e">&#9670;&#160;</a></span>UseDeathScreen</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionGeneralSettings::UseDeathScreen</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00032">32</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a67c6d5d4b4e412b2030a340cff35ea19" name="a67c6d5d4b4e412b2030a340cff35ea19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67c6d5d4b4e412b2030a340cff35ea19">&#9670;&#160;</a></span>UseDeathScreenStatistics</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionGeneralSettings::UseDeathScreenStatistics</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00033">33</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="abe35707d005e6e872f595692b7f44875" name="abe35707d005e6e872f595692b7f44875"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe35707d005e6e872f595692b7f44875">&#9670;&#160;</a></span>UseNewsFeedInGameMenu</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionGeneralSettings::UseNewsFeedInGameMenu</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00034">34</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<a id="a8d194957651e640d143cfeb92edc8cff" name="a8d194957651e640d143cfeb92edc8cff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d194957651e640d143cfeb92edc8cff">&#9670;&#160;</a></span>VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int ExpansionGeneralSettings::VERSION = 9</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/df6/a02411_source.html#l00018">18</a> of file <a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Scripts/3_game/dayzexpansion/settings/general/<a class="el" href="../../d8/df6/a02411_source.html">expansiongeneralsettings.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/d89/a06862.html">ExpansionGeneralSettings</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
